Skip to main content
PATCH
Error

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

role_id
string<uuid>
required

Body

application/json

Update schema for a role.

name
string | null

Role name

Required string length: 1 - 128
description
string | null

Optional description of the role

Maximum string length: 512
scope_ids
string<uuid>[] | null

List of scope IDs to assign to the role (replaces existing)

Response

Successful Response

Read schema for a role with its scopes.

id
string<uuid>
required
name
string
required
organization_id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
is_system
boolean
required
read-only

Whether this is a preset system role.

slug
string | null
description
string | null
created_by
string<uuid> | null
scopes
ScopeRead · object[]